OpenSubdiv: TopologyRefiner::UniformOptions Struct Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TopologyRefiner::UniformOptions Struct Reference

Uniform refinement options. More...

`#include <topologyRefiner.h>`

## Public Member Functions
| UniformOptions (int level)
void | SetRefinementLevel (int level)
| Set uniform refinement level.

## Public Attributes
unsigned int | refinementLevel:4
| Number of refinement iterations.
unsigned int | orderVerticesFromFacesFirst:1
unsigned int | fullTopologyInLastLevel:1

## Detailed Description

Uniform refinement options.

Options for uniform refinement, including the number of levels, vertex ordering and generation of topology information.

Note the impact of the option to generate fullTopologyInLastLevel. Given subsequent levels of uniform refinement typically reguire 4x the data of the previous level, only the minimum amount of data is generated in the last level by default, i.e. a vertex and face-vertex list. If requiring topology traversal of the last level, e.g. inspecting edges or incident faces of vertices, the option to generate full topology in the last level should be enabled.

Definition at line 118 of file topologyRefiner.h.

## Constructor & Destructor Documentation

## ◆ UniformOptions()

UniformOptions | ( | int | level | ) |
| inline

Definition at line 120 of file topologyRefiner.h.

## Member Function Documentation

## ◆ SetRefinementLevel()

void SetRefinementLevel | ( | int | level | ) |
| inline

Set uniform refinement level.

Definition at line 126 of file topologyRefiner.h.

## Member Data Documentation

## ◆ fullTopologyInLastLevel

unsigned int fullTopologyInLastLevel

Skip topological relationships in the last level of refinement that are not needed for interpolation (keep false if using limit).

Definition at line 131 of file topologyRefiner.h.

## ◆ orderVerticesFromFacesFirst

unsigned int orderVerticesFromFacesFirst

Order child vertices from faces first instead of child vertices of vertices

Definition at line 129 of file topologyRefiner.h.

## ◆ refinementLevel

unsigned int refinementLevel

Number of refinement iterations.

Definition at line 128 of file topologyRefiner.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyRefiner.h